// JavaScript Document


var KLETT = {}
// Hintergrundbild
KLETT.background_pos = [420,15];
// Drag&Drop Elemente
KLETT.parts = [];
KLETT.parts[0] = [13,45];
KLETT.parts[1] = [0,114];
KLETT.parts[2] = [18,159];
KLETT.parts[3] = [0,270];
KLETT.parts[4] = [24,353];
KLETT.parts[5] = [0,409];
KLETT.parts[6] = [47,486];
KLETT.parts[7] = [136,163];
KLETT.parts[8] = [116,247];
KLETT.parts[9] = [120,320];
KLETT.parts[10] = [121,42];
KLETT.parts[11] = [228,85];
KLETT.parts[12] = [207,146];
KLETT.parts[13] = [201,263];
KLETT.parts[14] = [206,349];
KLETT.parts[15] = [90,399];
KLETT.parts[16] = [209,457];




//  Info-Box
KLETT.info_box = [];
KLETT.info_box.push({
	button : $('#info-button'),
	headline : $('#info-container .info-headline').html(),
	content : $('#info-container .info').html()
});

KLETT.info_box.push({
	button : $('#solution-button'),
	headline : $('#solution-container .info-headline').html(),
	content : $('#solution-container .info').html()
});



$(document).ready(function(e) {
	
	$('.button').css('cursor','pointer');	
	$('#buttons').show();
	$('#content-buttons').css({'position':'absolute','right':'0','bottom':'5px','z-index':'100000'}).show();
	
	//******************************
	// Info-Box
	//******************************
	// Info-Box erstellen
	var info_box =  '<div id="info-box"></div>';
	$('#content').append(info_box);
	KLETT.info_box.aktiverInhalt = -1;
	
	//*************
	// close
	function close_info_box() {
		$('#info-box').hide();
		$('#info-box').html('');
		
		
		var aktiverInhalt = KLETT.info_box.aktiverInhalt;
		if ( KLETT.info_box.aktiverInhalt != -1) {
			KLETT.info_box[aktiverInhalt].button.removeClass('active');
		}
		KLETT.info_box.aktiverInhalt = -1;
		
	}
	
	//*************
	// Funktion für alle Buttons	
	for (i=0; i < KLETT.info_box.length ; i++) {
				
		// dem Button seine ID-Info zuweisen
		var myInfobox = KLETT.info_box[i];
		myInfobox.button.data('button_id',i);	
		myInfobox.button.css('cursor','pointer');
		
		// open Infobox
		myInfobox.button.click(function(e) {
			var myID = $(this).data('button_id');
			var myInfobox  = KLETT.info_box[myID];		
			var aktiverInhalt = KLETT.info_box.aktiverInhalt;
			
			if ( KLETT.info_box.aktiverInhalt == myID ) {
					close_info_box();
										
			} else {
				if ( KLETT.info_box.aktiverInhalt != -1) {
					KLETT.info_box[KLETT.info_box.aktiverInhalt].button.removeClass('active');
				}
				$(this).addClass('active');
				
				// close_info_box();
				// open Box	
				
				$('#info-box').html('<div id="info-box-header"></div><div id="info-box-content"></div>');
				var mytop = $('#main-content').position().top,
				myleft = $('#main-content').position().left,
				mywidth = $('#main-content').width(),
				myheight = $('#main-content').height()+1;
				
		
				$('#info-box').css({
							'position': 'absolute',
							'width': mywidth,
							'height': myheight,
							'top': mytop,
							'left': myleft,
							'z-index': '100010'
				});
				
				$('#info-box-header').html(myInfobox.headline + '<div id="close"></div>');
				$('#info-box #close').click(function(e) {
					close_info_box();
				}).css('cursor','pointer');
				// $('#info-box-header').css('height', '20px');
				$('#info-box-content').html(myInfobox.content);
				$('#info-box-content').innerHeight( $('#info-box').innerHeight() - $('#info-box-header').outerHeight());
				$('#info-box-content').innerHeight( myheight - 31);			
				
				$('#info-box').fadeIn(200);
				
				KLETT.info_box.aktiverInhalt = myID;			
			}

		
    	});
		
	}
	
	//******************************
	// Reset
	//******************************
    reset_bilder();
	
	$('#reset-button').click(function(e) {
        	reset_bilder(); 
			close_info_box()
    });
						
	
	function reset_bilder() {
		for (i=0; i < KLETT.parts.length; i++) {
			$('#p'+String(i+1)).css({'position':'absolute',
									'top': String(KLETT.parts[i][1]) + 'px',
									'left': String(KLETT.parts[i][0]) + 'px'
									});
			//$('#p'+String(i+1)).animate({'top': String(KLETT.parts[i][1]) + 'px','left': String(KLETT.parts[i][0]) + 'px'});
		}
	}
	

	
	//******************************
	// Vollbild
	//******************************	
	// open in fullscreen
	$('#fullscreen-button').click(function() {
		$('#screen').fullscreen();
		if ($.fullscreen.isFullScreen()) {
			$('#screen').fullscreen();
		} else {
			$.fullscreen.exit();
		}
		return false;
	});
	
	//******************************
	// Positionierung
	//******************************
	$('#drop-background').css({
						'position':'absolute',
						'top': String(KLETT.background_pos[1]) + 'px',
						'left': String(KLETT.background_pos[0]) + 'px'
						});
	
	
	$('#drag-bilder').show();
	$('#drop-background').show();
	
	//******************************
	// Drap & Drop Funktion
	//******************************
	
    $("#drag-bilder > img").css('cursor','move');
    $("#drag-bilder > img").draggable({
		cursor: "crosshair",
		containment: $('#main-content')
	});
	
	var newzdindex = 100;
	
    $("#drag-bilder > img").mousedown(function(e) {
		newzdindex = newzdindex +1;
        $(this).css("z-index",newzdindex);
    });


});
